## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

%global crate helvum

Name:           helvum
Version:        0.5.1
Release:        %autorelease
Summary:        GTK patchbay for pipewire

SourceLicense:  GPL-3.0-only
# Apache-2.0 OR MIT
# GPL-3.0-only
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        GPL-3.0-only AND (Apache-2.0 OR MIT) AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

URL:            https://gitlab.freedesktop.org/pipewire/helvum
Source:         %{url}/-/archive/%{version}/helvum-%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  appstream
BuildRequires:  libappstream-glib

%global _description %{expand:
A GTK patchbay for pipewire.}

%description %{_description}

%prep
%autosetup -n %{crate}-%{version} -p1
# build cargo project directly with cargo
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%meson
%meson_build

%install
%cargo_install
%meson_install

%check
%if %{with check}
%cargo_test
%endif
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pipewire.Helvum.desktop
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml
appstreamcli validate --no-net \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.pipewire.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.pipewire.Helvum*.svg
%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Tue Sep 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-4
- Regenerate with rust2rpm v26

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Feb 16 2024 Michel Lind <salimma@fedoraproject.org> - 0.5.1-1
- Initial package (rhbz#2264218)
## END: Generated by rpmautospec
